Help; issue updating 5s from 7.1.1 to 7.1.2

westcoastin

macrumors member
Original poster
May 3, 2011
78
0
Hi all,

I am attempting to update a Verizon iPhone 5s on 7.1.1 to 7.1.2 but get the message "This device isn't eligible for the requested build."

I downloaded both IPSW for the 5s, including iPhone 6,1 and iPhone 6,2 and learned that my phone corresponds to the iPhone 6,1 build, which confusingly, is actually for the GSM version. When I tried installing the IPSW "iPhone 6,2 7.1.2" holding "opt" and clicking restore, it said "the iPhone could not be updated because the firmware is not compatible." So I then tried the same method, but used IPSW iPhone 6,1 7.1.2, which prompts me with "iTunes will update your phone to 7.1.2 and will verify the update with apple" and the bar on iTunes completes during "extracting software", then goes to "preparing for software update", at which point it gives me the error message "This device isn't eligible for the requested build"

I hope someone who knows what the problem might be could please me help me out. Sorry for the wordy, long-winded post.

Thanks.
 

westcoastin

macrumors member
Original poster
May 3, 2011
78
0

janitor3

macrumors regular
Aug 11, 2010
217
39
Glasgow, Scotland
I'm presently running an iPhone 4 on 7.1.2, so does this mean that if I have a problem that requires a restore to fix, I will be left with a "brick", because the 4 can't run iOS 8.??
 

chrfr

macrumors G3
Jul 11, 2009
9,578
3,476
I'm presently running an iPhone 4 on 7.1.2, so does this mean that if I have a problem that requires a restore to fix, I will be left with a "brick", because the 4 can't run iOS 8.??
No, you'll always be able to restore to the last available OS for your device. Apple still signs 7.1.2 for the iPhone 4, just not for newer devices.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.